# $Revision: 1.35 $, $Date: 2005/09/17 12:00:34 $
Summary:	Yafc is yet another FTP and SFTP client
Summary(pl):	Yafc to Jeszcze Jeden Klient FTP oraz SFTP
Name:		yafc
Version:	1.1
Release:	4
License:	GPL
Group:		Applications/Networking
Source0:	http://dl.sourceforge.net/yafc/%{name}-%{version}.tar.bz2
# Source0-md5:	877c21d9b70d89474d1a6478a21c1e51
Source1:	%{name}.desktop
URL:		http://yafc.sourceforge.net/
Patch0:		%{name}-errno.patch
Patch1:		%{name}-info.patch
Patch2:		%{name}-tinfo.patch
Patch3:		%{name}-home_etc.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	heimdal-devel
BuildRequires:	libtool
BuildRequires:	ncurses-devel
BuildRequires:	readline-devel
#BuildRequires:	socks5-devel
BuildRequires:	texinfo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		specflags_ia32	 -fomit-frame-pointer 

%description
Yafc is yet another FTP client, similar to ftp(1). It is an
interactive interface to the FTP protocol and SFTP protocol.
#It has SOCKS5 protocol support.

%description -l pl
Yafc to Jeszcze Jeden Klient FTP, podobny do ftp(1). Ma interaktywny
interfejs do protokou FTP oraz SFTP.
#Obsuguje protok SOCKS5.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
rm -f missing
%{__libtoolize}
%{__aclocal} -I cf
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
#	--with-socks5
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_desktopdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install yafcrc.sample $RPM_BUILD_ROOT%{_sysconfdir}/yafcrc
install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%doc BUGS COPYRIGHT NEWS README THANKS TODO
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/yafcrc
%attr(755,root,root) %{_bindir}/*
%{_desktopdir}/*
%{_mandir}/man1/*
%{_infodir}/yafc.info*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: yafc.spec,v $
Revision 1.35  2005/09/17 12:00:34  arekm
- new readline, 5.0

Revision 1.34  2005/07/13 17:54:28  wolf
- unbroken
- rel 3

Revision 1.33  2005/07/13 17:40:53  wolf
- rel 2

Revision 1.32  2004/12/13 19:08:21  roman
- revert makeinstall change

Revision 1.31  2004/12/12 13:14:34  roman
- changed %{__make} install to %{makeinstall}

Revision 1.30  2004/10/24 21:53:16  paladine
- uppercases

Revision 1.29  2004/08/01 16:37:16  gotar
- upgraded to 1.1

Revision 1.28  2004/06/20 21:37:07  arekm
- fix specflags (quotation here is buggy)

Revision 1.27  2004/03/10 07:26:25  gotar
- added desktop file, release 5

Revision 1.26  2003/12/02 16:27:13  mmazur
- rel 4 to rebuild with new db

Revision 1.25  2003/11/23 05:17:12  speedy
- release 3 for AC

Revision 1.24  2003/11/10 23:04:35  qboosh
- BR: am,lt

Revision 1.23  2003/11/10 06:08:17  witekfl
- added home_etc.patch
- rel 2

Revision 1.22  2003/08/18 08:09:41  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.21  2003/06/28 19:36:25  gotar
- -fomit-frame-pointer on ia32

Revision 1.20  2003/05/26 16:25:53  malekith
- massive attack: adding Source-md5

Revision 1.19  2003/05/25 06:28:38  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.18  2003/03/20 21:09:39  gotar
- upgraded to 1.0

Revision 1.17  2003/03/13 11:23:43  qboosh
- working Source URL, minor fixed where needed

Revision 1.16  2002/10/23 07:32:10  qboosh
- removed info/dir.gz from package, release 2, STBR

Revision 1.15  2002/10/22 11:34:25  kloczek
- added info patch (fix info index entry for yafc) and tinfo (link if it possible
  only with libtinfo instead with other term library like ncurses, curses or termcap),
- cosmetics.

Revision 1.14  2002/10/22 10:06:28  qboosh
- pl fix, cosmetics

Revision 1.13  2002/10/21 16:36:40  djrzulf
- corrected desc and summary

Revision 1.12  2002/10/21 16:32:44  djrzulf
- updated to 0.7.10,
- attention, doesn't compile with socks5 if somebody can look at this....
- updated URL,
- STBR,

Revision 1.11  2002/05/21 23:15:09  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.10  2002/05/15 10:12:38  roman
- moved gzipping docs to %build

Revision 1.9  2002/02/22 23:30:11  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.8  2002/01/18 02:15:46  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.7  2001/08/19 07:34:42  roman
- added autoconf to Buildrequires:

Revision 1.6  2001/08/18 21:19:27  roman
- adapted to new ac/am
- spec won't build until the SOCKS 5.0 problem is solved

Revision 1.5  2001/07/26 05:42:26  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.3  2001/07/19 17:28:05  roman
- changed %{__install} to install

Revision 1.2  2001/04/30 16:05:33  kloczek
- added using %%{rpmcflags} macro.

Revision 1.1  2001/03/09 10:15:23  roman
- Yet Another Ftp Client (with SOCKS5 support); initial relase
